import { ISecurityGroup } from '@aws-cdk/aws-ec2';
import * as ecs from '@aws-cdk/aws-ecs';
import * as secretsmanager from '@aws-cdk/aws-secretsmanager';
import * as cdk from '@aws-cdk/core';
export interface managementCommandTaskProps {
    /**
     * Options to configure a Django Management Command Task
     */
    readonly command: string[];
    readonly bucketName?: string[];
    readonly appSecurityGroup: ISecurityGroup;
    readonly image: ecs.ContainerImage;
    readonly environment: {
        [key: string]: string;
    };
    readonly dbSecret: secretsmanager.ISecret;
}
export declare class managementCommandTask extends cdk.Construct {
    constructor(scope: cdk.Construct, id: string, props: managementCommandTaskProps);
}
